<?php

/**
 * @author WTS Team - http://wordpressthemestock.com
 * @package C2 Framework
 * @copyright 2011
 */

/*-----------------------------------------------------------------------------------*/
/*-----: Main Content :-----*/
/*-----------------------------------------------------------------------------------*/

/*
1. HEADER
2. SLIDER
3. MAIN
    3.1. Primary Sidebar = Small Sidebar
    3.2. Secondary Sidebar = Big Sidebar
    3.3. Main Content
    3.4. Get Main Content
4. FOOTER
*/

/*-----------------------------------------------------------------------------------*/
/*-----: 3 . MAIN LAYOUT :-----*/
/*-----------------------------------------------------------------------------------*/


/*-----: 3.3. Main Content :-----*/
function C2_Main_Content(){
    global $data,$post,$paged;
    
    // Check variable for layout
    if($data['main_content_layout'] == 'c'){
        $main_grid = 'grid_12 main_12';
        $thumb_width = '300';
        $thumb_height= '214';
    }elseif($data['main_content_layout'] == 'sb_c_sb' or $data['main_content_layout'] == 'sb_sb_c' or $data['main_content_layout'] == 'c_sb_sb'){
        $main_grid = 'grid_6 main_6';
        $thumb_width = '178';
        $thumb_height= '127';
    }else{
        $main_grid = 'grid_8 main_8';
        $thumb_width = '238';
        $thumb_height= '170';
    }
    
    // Check current page => show content
    if(is_home()) $current_page = 'home';
    if(is_archive()) $current_page = 'archive';
    if(is_single()) $current_page = 'single';
    if(is_page()) $current_page = 'page';
    if(is_search()) $current_page = 'search';
    ?>
    
    <div id="content" class="<?php echo $main_grid; ?>">
    
        <?php //if( is_home() && $paged < 2 && $data['nivo_display_v'] == 1) C2_nivo_slider(); //Include Slider?>
        <!--<div class="clear"></div>-->
        
        <?php 
        switch ($current_page) {
//###################################################################################################
//                                      HOME AND ARCHIVE
//###################################################################################################
            case 'home' : case 'archive': case 'search' :
                if($data['article_appearance'] == '') : $fullsized = '2'; else : $fullsized = $data['article_appearance'];
                endif;
                    // Checking article appearance for paged , category ... ( archive page ).
                    if( $paged >= 2 || is_category() ){
                        if( $data['article_appearance_sub'] == '1' ) $fullsized = $data['article_appearance'];
                        if( $data['article_appearance_sub'] == '2' ) $fullsized = '0';
                        if( $data['article_appearance_sub'] == '3' ) $fullsized = '1000';
                    }
                ?>    
                <!-- // Archive // -->
                    <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
                    <?php /* If this is a search archive  */  if(is_search()){?>
                     <h2 class="pagetitle"><?php _e("Search Results :","c2framework"); ?></h2>
                    <?php /* If this is a category archive */ } elseif (is_category()) { ?>
                     <h2 class="pagetitle"><?php printf( __('Archive for category : %s', 'c2framework'), single_cat_title('', false)); ?></h2>
                    <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
                     <h2 class="pagetitle"><?php printf( __('Posts Tagged : %s', 'c2framework'), single_cat_title('', false) ); ?></h2>
                    <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
                     <h2 class="pagetitle"><?php  printf(__('Archive for : %s', 'c2framework'), get_the_time(__('F jS, Y','c2framework')));  ?></h2>
                    <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
                     <h2 class="pagetitle"><?php  printf(__('Archive for : %s', 'c2framework'), get_the_time(__('F, Y','c2framework')));  ?></h2>
                    <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
                     <h2 class="pagetitle"><?php  printf(__('Archive for : %s', 'c2framework'), get_the_time(__('Y','c2framework')));  ?></h2>
                    <?php /* If this is an author archive */ } elseif (is_author()) { ?>
                     <h2 class="pagetitle"><?php _e('Author Archive','c2framework'); ?></h2>
                    <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
                     <h2 class="pagetitle"><?php _e('Blog Archives','c2framework'); ?></h2>
                    <?php } ?>
                <?php
                // Wordpress Standard Loop
                $smallsized = 1;
                if(have_posts()) : while(have_posts()) : the_post();
                    $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
                    $thumb_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'thumbnail');
                    
                    // ###### FULL POSTS ########
                    if($fullsized > 0) :
                    ?>
                    <div class="entry">
                        <?php if(has_post_thumbnail()){ ?>
                        <div class="entry_thumb">
                            <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
                                <?php if ( has_post_thumbnail()) { ?>  
                                <img src="<?php echo THEME_INCLUDE.'/thumb.php' ?>?src=<?php echo $large_image_url[0]; ?>&#38;h=<?php echo $thumb_height; ?>&#38;w=<?php echo $thumb_width; ?>&#38;zc=1" alt="<?php the_title(); ?>" />
                                <?php } else{ ?>
                                <img src="<?php echo THEME_INCLUDE.'/thumb.php' ?>?src=<?php echo THEME_IMG . '/pending.png' ?>&#38;h=<?php echo $thumb_height; ?>&#38;w=<?php echo $thumb_width; ?>&#38;zc=1" alt="<?php the_title(); ?>" />
                                <?php } ?>
                            </a>
                        </div>
                        <?php } ?>
                        <div class="entry_content" style="<?php if(!has_post_thumbnail()) echo 'width:100%;'; ?>">
                            <h2 class="entry_title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
                            <div class="entry_meta"><?php _e('By','c2framework');?> <?php the_author_posts_link(); ?> on <?php the_time('M d, Y') ?> | <?php comments_popup_link(__('No Comments','c2framework'), __('1 Comment','c2framework'), __('% Comments','c2framework')); ?></div>
                            <div class="entry_text"><?php the_excerpt(); ?></div>
                            <div class="entry_bottom"><a class="entry_more" title="<?php _e('Read more','c2framework') ?>" href="<?php the_permalink(); ?>"><?php _e('Read more →','c2framework') ?></a></div>
                        </div>
                        <div class="clear"></div>
                    </div>
                    
                    <?php 
                    $fullsized-- ;
                    
                    else :
                    // ##### SMALL POSTS #####
                    if($smallsized == 1): echo '<div class="double_entry">'; endif;
                    $smallsized++;
                    
                    ?>
                    <div class="entry grid_3 <?php if($smallsized % 2 == 0) echo 'entry_small_left'; ?>">
                        <div class="entry_small_content">
                            <h2 class="entry_title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
                            <div class="entry_meta"><?php _e('By','c2framework');?> <?php the_author_posts_link(); ?> on <?php the_time('M d, Y') ?> | <?php comments_popup_link(__('No Comments','c2framework'), __('1 Comment','c2framework'), __('% Comments','c2framework')); ?></div>
                            <div class="entry_text">
                                <?php if(has_post_thumbnail()){ ?>
                                <div class="entry_small_thumb">
                                    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="alignleft"><img src="<?php echo THEME_INCLUDE.'/thumb.php' ?>?src=<?php echo $large_image_url[0]; ?>&#38;h=61&#38;w=90&#38;zc=1" alt="<?php the_title(); ?>" /></a>
                                </div>
                                <?php } ?>
                                <?php the_excerpt(); ?>
                            </div>
                            <div class="entry_bottom"><a class="entry_more" title="<?php _e('Read more','c2framework') ?>" href="<?php the_permalink(); ?>"><?php _e('Read more →','c2framework') ?></a></div>
                        </div>    
                    </div>
                    <?php
                    if($smallsized > 2): echo '</div>'; $smallsized = 1; endif;
                    endif;
                endwhile;
                    if($smallsized == 2):echo '</div>'; endif;
                    echo '<div class="clear"></div>';
                else : 
                    echo'<div class="entry">';
        			echo'<h2>'.__('Nothing Found','c2framework').'</h2>';
        			echo'<p>'.__('Sorry, no posts matched your criteria','c2framework').'</p>';
        			echo'</div>'; 
                    
                endif;
                
                ?>
            <div id="pagenavi" class="navigation">
                <?php C2_pagination(); ?>
            </div>
        <?php 
        break;
//###################################################################################################
//                                    SINGLE AND PAGE
//###################################################################################################
        case 'single' : case 'page' :
        ?>
            <div class="entry">
                <?php 
                if(have_posts()) : the_post();
                ?>
                <h1 class="entry_title"><?php the_title(); ?></h1>
                <div class="entry_meta"><?php _e('By','c2framework');?> <?php the_author_posts_link(); ?> on <?php the_time('M d, Y') ?> | <?php comments_popup_link(__('No Comments','c2framework'), __('1 Comment','c2framework'), __('% Comments','c2framework')); ?></div>
                <div class="entry_single_content">
                    <?php the_content(); ?>
                </div>
                <div class="clear"></div>
                <div class="entry_single_meta">
                    <p style="padding-bottom: 3px;"><?php the_tags(); ?></p>
                    <p><?php _e('Categories : ','c2framework'); ?><?php the_category(', '); ?></p>
                </div>
                <?php   
                else : 
                    echo'<div class="entry">';
        			echo'<h2>'.__('Nothing Found','c2framework').'</h2>';
        			echo'<p>'.__('Sorry, no posts matched your criteria','c2framework').'</p>';
        			echo'</div>'; 
                endif;
                ?>
            </div>
            <div class="clear"></div>
            
            <h2 class="about_author"><?php _e('About the author','c2framework'); ?></h2>
            <div id="author_box">
                <div class="gravatar">
                    <?php 
						$author_email = get_the_author_meta('email');
				        echo get_avatar( $author_email, $size = '60');
					 	
				    ?>
                    <span class="thumb_overlay"></span>
                    <span><?php the_author_posts_link(); ?></span>
                </div>
                <div class="author_info">
        		        <p><?php $description = get_the_author_meta('description'); 
            		        if($description  != '')
            		        { echo $description;
            		        } else { _e('The author didnt add any Information to his profile yet','newscast');}
        		        ?> </p>
                </div>
                <div class="clear"></div>
            </div><!-- / author box -->
            
            <div class='entry_comment'>
                    <?php comments_template('', true);?>
            </div>
        <?php
        break;
//###################################################################################################
                    // Maybe a Custom Page
//###################################################################################################
        
        } ?>
    </div><!-- / Content -->
    <?php
}


/*-----: 3.1. Small Sidebar :-----*/
function C2_Small_Sidebar(){
?>
    <div id="small_sidebar" class="grid_2 sidebar">
        <ul id="small_sidebar_list">
            <?php 
            if( !dynamic_sidebar('small-sidebar') ) : 
            endif;
            ?>
        </ul>
    </div><!--/small_sidebar -->
<?php
}

/*-----: 3.2. Big Sidebar :-----*/
function C2_Big_Sidebar(){
?>
    <div id="big_sidebar" class="grid_4 sidebar">
        <ul id="big_sidebar_top">
            <?php 
            if( !dynamic_sidebar('big-sidebar-top') ) : 
            endif;
            ?>
        </ul>
        <div id="big_sidebar_center">
            <ul id="big_sidebar_narrow_left">
                <?php 
                if( !dynamic_sidebar('big-sidebar-narrow-left') ) : 
                endif;
                ?>
            </ul>
            <ul id="big_sidebar_narrow_right">
                <?php 
                if( !dynamic_sidebar('big-sidebar-narrow-right') ) : 
                endif;
                ?>
            </ul>
            <div class="clear"></div>
        </div>
        <ul id="big_sidebar_bottom">
            <?php 
            if( !dynamic_sidebar('big-sidebar-bottom') ) : 
            endif;
            ?>
        </ul>
    </div><!--/small_sidebar -->
<?php
}
?>